---
title: "Each of your machines, as it last reported its recording (Settings)"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.gitpando.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Pando API › sessions

`GET /v1/user/session-machines`

## Authentication

Requires one of the following:

- `credential`, http, header `Authorization`
- `session`, apiKey, in cookie

## Code samples

### cURL

```curl
curl --request GET \
  --url https://app.gitpando.com/v1/user/session-machines \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://app.gitpando.com/v1/user/session-machines';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://app.gitpando.com/v1/user/session-machines"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

OK

#### Example

```json
{
  "machines": [
    {
      "credential_id": "string",
      "machine": "string",
      "recording": true,
      "stores": [
        {
          "program": "claude-code",
          "path": "string",
          "found": "string"
        }
      ],
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ]
}
```

- `listSessionMachines.response.200.machines` (array<object>, required)
  - `listSessionMachines.response.200.machines.credential_id` (string, required)
  - `listSessionMachines.response.200.machines.machine` (string, required)
  - `listSessionMachines.response.200.machines.recording` (boolean, required)
  - `listSessionMachines.response.200.machines.stores` (array<object>, required)
    - `listSessionMachines.response.200.machines.stores.program` (string, required)
      - one of `"claude-code"`, `"codex"`, `"pi"`, `"opencode"`
    - `listSessionMachines.response.200.machines.stores.path` (string, required)
    - `listSessionMachines.response.200.machines.stores.found` (string, required) — default, environment, commit hook or paths add
  - `listSessionMachines.response.200.machines.updated_at` (string, required)
    - format `date-time`


Source: https://docs.gitpando.com/api/sessions/listSessionMachines/index.md
